#include "camerainterface.h"
#include "camera.h"
#include "engineinterface.h"
#include "structures.h"

namespace M3D
{
#define GET_CAMERA _engine_->_get_camera(_id_)
const Rotation & CameraInterface::get_rotation( ) const
{
	return GET_CAMERA->get_rotation();
}

const Coords & CameraInterface::get_location( ) const
{
	return GET_CAMERA->get_location();
}

void CameraInterface::set_location( const Coords & location )
{
	GET_CAMERA->set_location(location);
}

void CameraInterface::set_rotation( const Rotation & rotation )
{
	GET_CAMERA->set_rotation(rotation);
}
const CameraParams& CameraInterface::get_camera_params() const
{
	return GET_CAMERA->get_camera_params();
}
void CameraInterface::set_camera_params(CameraParams& params)
{
	GET_CAMERA->set_camera_params(params);
}
}
